[Tracking Bug] PCI resource allocation warnings

Bug #159241 reported by SK on 2007-11-01
270
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
linux (Ubuntu)
Medium
Stefan Bader
Hardy
Medium
Stefan Bader
linux-meta (Ubuntu)
Unknown
Unassigned
Hardy
Unknown
Unassigned

Bug Description

Binary package hint: linux-source

This is a tracking bug for looking after all bugs dealing with PCI resource warnings upon startup.
Please mark all bug reports, concerning this issue as duplicates of this report.

This is present in many systems and not really a blocker, but it just doesn't look very good to have a bunch of messages pop up before you get transferred to usplash. We see these messages mostly on laptop systems.

CVE References

SK (stephantom) wrote :

This (http://chandanthewhiz.wordpress.com/2006/05/08/fc45-hangs-at-starting-udev/) site suggests that these problems could be solved by properly designing /etc/pcmcia/config.opts

SK (stephantom) on 2007-11-01
description: updated

I just wanted to add a note that once the Hardy kernel is released these warnings should not longer appear. Please refer to the following link regarding this issue (I'll also link this launchpad report to it).

http://bugzilla.kernel.org/show_bug.cgi?id=7917

I enourage everyone to please try the new Hardy kernel release once it comes out and report your findings. Thanks!

Changed in linux-meta:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Low
status: New → Triaged
Changed in linux:
status: Unknown → Fix Released

Hello,

I'm no Ubuntu-user (not at home atleast), but using Archlinux with kernel 2.6.23.1, I can tell you that I still have the mesage. I'll post it to ther kernel-maillinglist later on maybe.

rt2x00pci -> rt2x00pci_probe: Error - PCI request regions failed.
rt61pci: probe of 0000:03:00.0 failed with error -16

Greetings,

Michel

dweb (darrenleeweber) wrote :

During the boot process with Ubuntu 7.10 (Gutsy Gibbon; amd64), this is the last message on screen before it blanks for the entire boot process. The screen is recovered eventually, only after gdm starts and presents the login window.

[ 16.813348] PCI: Failed to allocate mem resource #6:20000@f0000000 for 0000:01:00.0

uname -a
Linux skiweber 2.6.22-14-generic #1 SMP Sun Oct 14 21:45:15 GMT 2007 x86_64 GNU/Linux

This is on a Lenovo T61 ThinkPad with Intel(R) Core(TM)2 Duo CPU (T7500 @ 2.20GHz); etc.

dweber@skiweber:~$ lspci
00:00.0 Host bridge: Intel Corporation Mobile PM965/GM965/GL960 Memory Controller Hub (rev 0c)
00:01.0 PCI bridge: Intel Corporation Mobile PM965/GM965/GL960 PCI Express Root Port (rev 0c)
00:19.0 Ethernet controller: Intel Corporation 82566MM Gigabit Network Connection (rev 03)
00:1a.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Contoller #4 (rev 03)
00:1a.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #5 (rev 03)
00:1a.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #2 (rev 03)
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 03)
00:1c.0 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 1 (rev 03)
00:1c.1 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 2 (rev 03)
00:1c.2 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 3 (rev 03)
00:1c.3 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 4 (rev 03)
00:1c.4 PCI bridge: Intel Corporation 82801H (ICH8 Family) PCI Express Port 5 (rev 03)
00:1d.0 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #1 (rev 03)
00:1d.1 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #2 (rev 03)
00:1d.2 USB Controller: Intel Corporation 82801H (ICH8 Family) USB UHCI Controller #3 (rev 03)
00:1d.7 USB Controller: Intel Corporation 82801H (ICH8 Family) USB2 EHCI Controller #1 (rev 03)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev f3)
00:1f.0 ISA bridge: Intel Corporation 82801HBM (ICH8M-E) LPC Interface Controller (rev 03)
00:1f.1 IDE interface: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) IDE Controller (rev 03)
00:1f.2 SATA controller: Intel Corporation 82801HBM/HEM (ICH8M/ICH8M-E) SATA AHCI Controller (rev 03)
00:1f.3 SMBus: Intel Corporation 82801H (ICH8 Family) SMBus Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation Quadro NVS 140M (rev a1)
03:00.0 Network controller: Intel Corporation PRO/Wireless 4965 AG or AGN Network Connection (rev 61)
15:00.0 CardBus bridge: Ricoh Co Ltd RL5c476 II (rev ba)
15:00.1 FireWire (IEEE 1394): Ricoh Co Ltd R5C832 IEEE 1394 Controller (rev 04)

The Hardy Heron kernel was recently uploaded for testing. We'd really appreciate it if you could try testing with this newer kernel and verify if this issue still exists. Unfortunately, the Hardy Heron Alpha1 LiveCD was released with the older 2.6.22 kernel. You'll have to manually install the newer Hardy Heron kernel in order to test. This should not be the case for Alpha2. However, here are the instructions to install (if you choose to do so):

1) edit the file /etc/apt/sources.list and add the following line:

deb http://archive.ubuntu.com/ubuntu hardy main restricted

2) sudo apt-get update
3) sudo apt-get install linux-image-2.6.24-1-generic
4) reboot and select the new kernel from the grub menu

After you've tested, please feel free to revert back - ie boot into the old kernel, sudo apt-get remove linux-image-2.6.24-1-generic, and remove the line from /etc/apt/sources.list . Please update this report with your results. Thanks in advance!

Changed in linux:
status: New → Incomplete
SK (stephantom) wrote :

For me the messages are still visible when booting into 2.6.24-1-generic (on a HP Pavilion dv5188ea [dv5000 series]).
I am attaching dmesg and lspci to this comment.

SK (stephantom) on 2007-12-13
Changed in linux:
status: Incomplete → Confirmed

Thanks for the update Stephan. I'll have the kernel team take a look. It also wouldn't hurt if you would reopen the upstream kernel bugzilla report. And just for future reference, if you could attach your log files individually rather than as a tarball, it would be much appreciated. For more information regarding the kernel team bug policy, please refer to https://wiki.ubuntu.com/KernelTeamBugPolicies . Thanks!

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: Confirmed → Triaged
win22 (win22) wrote :

as to Hurdy Heron - the same bugs resides

the new
1. don't work sound card
2.don't work wi-fi card

both are works (!) in 2.6.22.

possible it haven't those drives as old kernel?

and here the NEW KERNEL logs 2.6.24.

http://launchpadlibrarian.net/10898622/2.6.24dmesg.log

SK (stephantom) wrote :

Thanks Leann, I will keep this in mind.
I've submitted a comment to the upstream tracker, but I can't reopen the bug there. I can only leave it as RESOLVED CODE_FIX. Maybe somebody else can do that.
Just let me know if you need anymore testing or reporting done on this!

Changed in linux:
status: Fix Released → Confirmed
Xavier Verne (xavier-verne) wrote :

I Confirm this bug on gutsy with linux 2.6.22.14 generic kernel.
Hardware : Sony Vaio VGN-FE11H

First displayed message on boot (right after the grub kernel selection) :

 19.942719] PCI: Failed to allocate mem resource #6:20000@c0000000 for 0000:01:00.0
[ 19.942783] PCI: Bridge: 0000:00:01.0
[ 19.942786] IO window: disabled.
[ 19.942792] MEM window: d0000000-d1ffffff
[ 19.942797] PREFETCH window: b0000000-bfffffff

By the way, if you look at this output, you can see that "[ 19.942786] IO window: disabled." Does it mean something is actually really not working ?

Available for further output if needed, kernel folks have reopen the corresponding bug but it doesn't seem to be adressed, AFAIK.

Todd Jacobsen (yolabingo) wrote :

I am experiencing this issue with my laptop (Toshiba Satellite A215-S7422) as well. Also experiencing intermittent slowdown/lockup type issues. Not sure if there's a correlation. Thanks!

Todd Jacobsen (yolabingo) wrote :
Todd Jacobsen (yolabingo) wrote :

Oops - forgot to mention:
$ uname -a
Linux 2.6.22-14-generic #1 SMP Tue Dec 18 08:02:57 UTC 2007 i686 GNU/Linux

Michael Doube (michael-doube) wrote :

I get this on a Sony Vaio SZ650N, Hardy alpha-2:

[ 17.424051] pnpacpi: exceeded the max number of IRQ resources: 2
[ 17.424105] pnpacpi: exceeded the max number of IRQ resources: 2
[ 17.424156] pnpacpi: exceeded the max number of IRQ resources: 2
[ 17.424207] pnpacpi: exceeded the max number of IRQ resources: 2
[ 17.424259] pnpacpi: exceeded the max number of IRQ resources: 2
[ 17.428097] pnp: PnP ACPI: found 12 devices
[ 17.428099] ACPI: ACPI bus type pnp unregistered
[ 17.428277] PCI: Using ACPI for IRQ routing

(goes quite fast so I'm not sure if the last couple of lines are displayed)

Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Michael Doube (michael-doube) wrote :
Todd Jacobsen (yolabingo) wrote :

Tried booting with linux-image-2.6.24-2-generic. Did not seem to change anything for me either.
dmesg attached

Changed in linux:
status: Confirmed → In Progress
mantridp (mantridp) wrote :

hi

i have just upgraded from gutsy to hardy alpha 3....however during initial boot process it hangs with this message
pnpacpi:execeeded the max number of memory resources. 12

then it tries splash screen with different resolutions and its dead.

or it takes me to initramfs screen..

what do i do

Ben Collins (ben-collins) wrote :

Stefan, this seems to revolve around the "pnpacp: exceeded..." message. Please set the severity of this printk to something more reasonable, like KERN_WARNING. Thanks

Changed in linux-meta:
assignee: ubuntu-kernel-team → nobody
importance: Low → Unknown
status: Triaged → Invalid
Changed in linux:
assignee: ubuntu-kernel-team → stefan-bader-canonical
Stefan Bader (smb) wrote :

The message level has ben lowered to warning.

Changed in linux:
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (20.1 KiB)

This bug was fixed in the package linux - 2.6.24-5.8

---------------
linux (2.6.24-5.8) hardy; urgency=low

  [Alessio Igor Bogani]

  * rt: Update to 2.6.24-rc8-rt1
  * rt: Update configuration files

  [Amit Kucheria]

  * Asix: fix breakage caused in 2.6.24-rc7
  * Add CONFIG_CPUSETS to server-related flavours
    - LP: #182434

  [Chuck Short]

  * SAUCE: ata: blacklist FUJITSU MHW2160BH PL
    - LP: #175834

  [Kees Cook]

  * AppArmor: updated patch series to upstream SVN 1079.

  [Soren Hansen]

  * Updated configs to enable virtio stuff Ignore: yes

  [Stefan Bader]

  * Enabled CONFIG_BSD_PROCESS_ACCT=y for sparc.
    - LP: #176587
  * Enable CONFIG_AUDITSYSCALL=y.
    - LP: #140784
  * Added CONFIG_AUDIT_SYSCALL=y to custom lpia(compat)
  * Enabled CONFIG_HUGETLBFS=y for i386/server amd64/server and ia64.
  * Lower priority of pnpacpi resource messages to warning level.
    - LP: #159241
  * Fix the messed up message level of pnpacpi parser.

  [Tim Gardner]

  * Start new release, bump ABI to -5
  * Disabled iwlwifi preperatory to moving it to l-u-m.
  * Enabled CONFIG_USB_SERIAL_KEYSPAN
  * Disabled CONFIG_CGROUPS.
  * Virtio config settings for -rt.
  * Re-enable IWLWIFI in the kernel.
  * Fixed -rt saa7134-core.c FTBS

  [Upstream Kernel Changes]

  * Input: Handle EV_PWR type of input caps in input_set_capability.
  * Input: jornada680_kbd - fix default keymap
  * increase PNP_MAX_PORT to 40 from 24
  * sched: fix gcc warnings
  * leds: Fix leds_list_lock locking issues
  * leds: Fix locomo LED driver oops
  * x86: fix asm-x86/byteorder.h for userspace export
  * x86: fix asm-x86/msr.h for user-space export
  * ACPI: EC: Enable boot EC before bus_scan
  * ACPI: Make sysfs interface in ACPI power optional.
  * fix lguest rmmod "bad pgd"
  * slub: provide /proc/slabinfo
  * [POWERPC] Fix build failure on Cell when CONFIG_SPU_FS=y
  * slub: register slabinfo to procfs
  * [SCSI] scsi_sysfs: restore prep_fn when ULD is removed
  * Unify /proc/slabinfo configuration
  * scsi: revert "[SCSI] Get rid of scsi_cmnd->done"
  * restrict reading from /proc/<pid>/maps to those who share ->mm or can
    ptrace pid
  * Fix kernel/ptrace.c compile problem (missing "may_attach()")
  * hwmon: (w83627ehf) Be more careful when changing VID input level
  * NFS: Fix a possible Oops in fs/nfs/super.c
  * NFSv4: Fix circular locking dependency in nfs4_kill_renewd
  * NFS: add newline to kernel warning message in auth_gss code
  * NFSv4: nfs4_open_confirm must not set the open_owner as confirmed on
    error
  * NFSv4: Fix open_to_lock_owner sequenceid allocation...
  * gameport: don't export functions that are static inline
  * Input: spitzkbd - fix suspend key handling
  * Input: pass EV_PWR events to event handlers
  * [ARM] 4735/1: Unbreak pxa25x suspend/resume
  * IB/srp: Fix list corruption/oops on module reload
  * Console is utf-8 by default
  * [IA64] Update Altix BTE error return status patch
  * [IA64] Update Altix nofault code
  * [X25]: Add missing x25_neigh_put
  * [XFRM]: Do not define km_migrate() if !CONFIG_XFRM_MIGRATE
  * [CASSINI]: Fix endianness bug.
  * [CASSINI]: Revert 'dont touch page_count'.
  * [CASSINI]: Program parent Inte...

Changed in linux:
status: Fix Committed → Fix Released
SK (stephantom) wrote :

No, the original bug is still not fixed. Comment #21 (https://bugs.launchpad.net/ubuntu/+source/linux-meta/+bug/159241/comments/21) was not related to it.
With the -5 kernel I still get the messages in question:

[ 28.446142] PCI: Cannot allocate resource region 7 of bridge 0000:00:1c.0
[ 28.446217] PCI: Cannot allocate resource region 8 of bridge 0000:00:1c.0
[ 28.446286] PCI: Cannot allocate resource region 7 of bridge 0000:00:1c.1
[ 28.446354] PCI: Cannot allocate resource region 8 of bridge 0000:00:1c.1
[ 28.446423] PCI: Cannot allocate resource region 7 of bridge 0000:00:1c.2
[ 28.446491] PCI: Cannot allocate resource region 8 of bridge 0000:00:1c.2
[ 28.446649] PCI: Cannot allocate resource region 0 of device 0000:06:00.0

Changed in linux:
status: Fix Released → Confirmed
Stefan Bader (smb) wrote :

For now I committed a patch that lowers the visibility of that message as well. This doesn't help the problem behind that. The BIOS still messes something up. But this seems to be often the case without problems in Linux. Long term there should be a way to make users aware of those issues without being overly annoying or alarming.

Changed in linux:
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (52.1 KiB)

This bug was fixed in the package linux - 2.6.24-6.10

---------------
linux (2.6.24-6.10) hardy; urgency=low

  [Alessio Igor Bogani]

  * rt: Synced with upstream, removed old kvm related patches and updated
    configurations files.

  [Chuck Short]

  * SAUCE: Enable Xen

  [Soren Hansen]

  * Update kvm driver to kvm-60.
  * Added CONFIG_ARCH_SUPPORTS_KVM=y for lpia, i386, and amd64
  * Add rtl8139 driver to -virtual flavour

  [Stefan Bader]

  * Fix usb_serial_driver structure for Kobil cardreader driver.
    - LP: #183109
  * Lower warning level of pci resource allocation messages.
    - LP: #159241

  [Tim Gardner]

  * Enabled CONFIG_BLK_DEV_IDE_PMAC
    - LP: #185862
  * Add virtio config options to lpiacompat.
  * SAUCE: Export symbols for aufs (in lum).
  * Enabled Xen

  [Upstream Kernel Changes]

  * KVM: mmu: add missing dirty page tracking cases
  * KVM: Move virtualization deactivation from CPU_DEAD state to
    CPU_DOWN_PREPARE
  * KVM: Cosmetics
  * KVM: vmx: hack set_cr0_no_modeswitch() to actually do modeswitch
  * KVM: Use ARRAY_SIZE macro instead of manual calculation.
  * KVM: Use page_private()/set_page_private() apis
  * KVM: add MSR based hypercall API
  * KVM: Add host hypercall support for vmx
  * KVM: Add hypercall host support for svm
  * KVM: Wire up hypercall handlers to a central arch-independent location
  * KVM: svm: init cr0 with the wp bit set
  * KVM: SVM: intercept SMI to handle it at host level
  * KVM: More 0 -> NULL conversions
  * kvm, dirty pages log: adding some calls to mark_page_dirty()
  * KVM: Add internal filesystem for generating inodes
  * KVM: Create an inode per virtual machine
  * KVM: Rename some kvm_dev_ioctl_*() functions to kvm_vm_ioctl_*()
  * KVM: Move kvm_vm_ioctl_create_vcpu() around
  * KVM: Per-vcpu inodes
  * KVM: Bump API version
  * .gitignore: ignore emacs backup files (*~)
  * kvm: dirty pages log: fix bitmap size/access calculation
  * kvm: move do_remove_write_access() up
  * kvm: dirty page logging: remove write access permissions when
    dirty-page-logging is enabled
  * KVM: Add missing calls to mark_page_dirty()
  * KVM: Fix dirty page log bitmap size/access calculation
  * kvm: move do_remove_write_access() up
  * KVM: Remove write access permissions when dirty-page-logging is enabled
  * KVM: Fix bogus failure in kvm.ko module initialization
  * KVM: Move kvmfs magic number to <linux/magic.h>
  * KVM: Unset kvm_arch_ops if arch module loading failed
  * KVM: Fix guest register corruption on paravirt hypercall
  * KVM: Use the generic skip_emulated_instruction() in hypercall code
  * KVM: Use own minor number
  * KVM: Fix guest sysenter on vmx
  * KVM: Export <linux/kvm.h>
  * KVM: Fix bogus sign extension in mmu mapping audit
  * KVM: MMU: Fix guest writes to nonpae pde
  * KVM: MMU: Fix host memory corruption on i386 with >= 4GB ram
  * KVM: trivial whitespace fixes
  * KVM: always reload segment selectors
  * KVM: Remove extraneous guest entry on mmio read
  * added KVM_GET_MEM_MAP ioctl to get the memory bitmap for a memory slot
  * KVM: Prevent system selectors leaking into guest on real->protected
    mode transition on vmx
  * KVM: Use a shared page for ker...

Changed in linux:
status: Fix Committed → Fix Released
SK (stephantom) wrote :

> For now I committed a patch that lowers the visibility of that message as well.
I hate to bother you, but with the 2.6.24-6.10 version generic image the messages are still not gone. Maybe you didn't lower the importance enough?
This seems to be tricky stuff?

Changed in linux:
status: Fix Released → Confirmed
Ruslan (r-for-ruslan) wrote :

This bug is fixed in Ubuntu 7.10, thnx

Stefan Bader (smb) wrote :

Please clarify, is this message still showing up on the console or just in the message log/dmesg? It shouldn't show up on the console but it will show up in the other places. This is intentional.

Bret Kuhns (bkuhns) wrote :

Leann Ogasawara :

I updated to the latest 2.6.24-5 kernel-image in Gutsy, and I am still getting the same "PCI: Cannot allocate resource region" messages.

Bret Kuhns (bkuhns) wrote :

It is showing up on startup, right before usplash kicks in.
It also shows up in dmesg, but that is to be expected, I know. The point
would be to have it only log to messages and not show up before usplash.

On Fri, 2008-02-08 at 13:56 +0000, Stefan Bader wrote:
> Please clarify, is this message still showing up on the console or just
> in the message log/dmesg? It shouldn't show up on the console but it
> will show up in the other places. This is intentional.
>

SK (stephantom) wrote :

Alright, I have now updated to 2.6.24-7-generic and the allocation
message is gone. The only thing that is showing up before usplash is one
line:

PCI: Failed to allocate mem resource #6:20000@d0000000 for 0000:01:00.0

Could that line be lowered safely? As far as I can tell, nothing is
broken. The PCI device in question should be the graphics card which is
working perfectly.

Output of lspci attached.

On Fri, 2008-02-08 at 17:13 +0000, Stephan Klein wrote:
> It is showing up on startup, right before usplash kicks in.
> It also shows up in dmesg, but that is to be expected, I know. The point
> would be to have it only log to messages and not show up before usplash.
>
> On Fri, 2008-02-08 at 13:56 +0000, Stefan Bader wrote:
> > Please clarify, is this message still showing up on the console or just
> > in the message log/dmesg? It shouldn't show up on the console but it
> > will show up in the other places. This is intentional.
> >
>

SK (stephantom) wrote :

@Stephan Klein:

That msg is known as a bug since like two years and filed here on LP many times. I think they don't know how to fix it...

Just teasing! :P

Ruslan (r-for-ruslan) wrote :

That is so irritating.
Tho days ago, everything was fine, now after updating my system(update icon in systray lised only important security updates), errors come back again:confised:

Ruslan (r-for-ruslan) wrote :

Today I powered the thing on, :)no errors.
Ubuntu/linux is great.

impact (impact-atlas) wrote :
Stefan Bader (smb) wrote :

Since all other messages have already lowered to warnings, I don't see any reason to lower those as well.

Changed in linux:
status: Confirmed → Fix Committed
Stefan Bader (smb) wrote :

to impact:

sure they are there. The whole issue here is to hide them from showing up on the console.

testax (davide-gargantini) wrote :

I'm using hardy with 2.6.24-7-generic kernel on a Toshiba Satellite M30-801
I still have this msg during boot:

PCI: Failed to allocate mem resource #6:20000@f0000000 for 0000:01:00.0

same problem with feisty and gutsy.

I think this is why my tv-out isn't working.

Stefan Bader (smb) wrote :

Fix released (last commit on Mon Feb 11 19:36:54 2008 +0000)

Changed in linux:
status: Fix Committed → Fix Released

You are now my personal hero. :P Thanks!

testax (davide-gargantini) wrote :

now it's ok.. no msg during boot.
..but my problem is still there. :P

in kern.log:
PCI: Failed to allocate mem resource #6:20000@f0000000 for 0000:01:00.0

This bug isn't even fixed. The warning is just hidden. You still have that
awkward 10 second delay when the OS starts up.

If you don't want to fix the problem, leave the bug as "Won't fix". "Fix
released" is misleading.

This bug is about hiding the msgs from the console, so it IS fixed.

Fixing the cause is a different kettle of fish.

John (johnsnow2nd) wrote :

My bug which I reported was concerning the problem related to the message,
not the message itself. My bug report was then merged with another bug as it
was "the same bug" and it has now been "solved". If the problem has been
solved, it must mean that the error message isn't related to a real problem.
So why was it there in the first place?

Another related question. Is this bug fix integrated into the downloadable
ISO-images. So that I can just download a new ISO and install the OS, not
getting this error message any more?

Best regards,
Kent

On Feb 17, 2008 3:05 PM, Klaus G. <email address hidden> wrote:

> This bug is about hiding the msgs from the console, so it IS fixed.
>
> Fixing the cause is a different kettle of fish.
>
> --
> [Tracking Bug] PCI resource allocation warnings
> https://bugs.launchpad.net/bugs/159241
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>

SK (stephantom) wrote :

It will be in the Alpha 5 release (which is due on Feb. 21st).

Hello all.

Well, I misinterpreted this bug seemingly. For me too, this bug isn't fixed! This is a big problem with linux. It prevents me from using hardware that should be functional (rt61pci-module). I could use it in the past, but from a certain point I started getting this message and now my hardware (wireless card) has been idle while the driver might work at this moment. I performed some bios-updates, but maybe it was the new pci-framework?

Anyway, I consider this a big problem in linux and people seem to be giving it no attention. This bug doesn't always causes problems, but it creates problems for some. This bug prevents people from using hardware, which is why I consider it a serious bug. People can talk about bad bioses, ..., buthow sure are you that that is why it doesn't work. I only know that once an old version of the module worked and now it doesn't work anymore, and nobody pays attention, except for trying to get this bug from the boot-screen by lowering it priority seemingly!

Greetings,

Michem

Stefan Bader (smb) wrote :

I understand that, for those which face noticeable hardware problems, this is no real fix. The messages are just an indication of the real problem (mostly some BIOS that has a broken ACPI setup). However there were also many who saw these messages during boot but didn't have problems because the kernel somehow was able to recover. So the message itself was considered to be too intrusive and this was fixed. But the message is not the bug. It is detail information to (hopefully) find the bug. But this should be done in its own problem report which says hardware x does not work in my system y and those are the system messages.

Pradeep Varadarajan (pradeep+) wrote :

But everyone still has the 10 second delay. It's just that during thos

Pradeep Varadarajan (pradeep+) wrote :

(sorry .. pressed send before I could finish the message)
It's just that you don't see anything during those 10 seconds

On Feb 18, 2008 4:52 PM, Pradeep Varadarajan <email address hidden> wrote:

> But everyone still has the 10 second delay. It's just that during thos
>

Nick B. (futurepilot) wrote :

"But everyone still has the 10 second delay."

I'm not sure what delay you are referring to. I see one of these warnings on bootup, but I don't experience any delay, and I haven't found anything that isn't working correctly because of this error.

Pradeep Varadarajan (pradeep+) wrote :

Please see the bootcharts for my laptop: https://wiki.ubuntu.com/BootCharting
Search for "PCI warnings", you'll find two images: one for gusty and one for hardy. My laptop is in I/O state for the first 15 seconds. Usually this is max 5 secs.

Marciano (paulomarciano) wrote :

I have the same problem. Only, this is not harmless, it prevents my wireless from working (or so i think). Region 7 an 8 of bridge 0000:00:1c.3 are affected and that is consistent with what hal tells me from my wireless pci card.

Marciano (paulomarciano) wrote :

And by the way, Hardy didn't help.

Changed in linux:
status: In Progress → Confirmed
Anup Jayapal Rao (anup-rao) wrote :

This bug persists in Hardy Heron on my Acer 5051 AWXMi laptop.
A closely related issue is the Bug #174231 launched by me. I found that this bug turned out to be a very close in nature to Bug #116734.

I am adding my latest comment for Bug #116734 below for convenience

"
I have checked with Hardy Heron [and Zenwalk with kernel 2.6.25]. I notice
these messages in addition to the PCI messages

PCI: Bridge: 0000:00:01.0
  IO window: 9000-9fff
  MEM window: b0100000-b01fffff
  PREFETCH window: c0000000-cfffffff
PCI: Bridge: 0000:00:04.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:05.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:06.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.
PCI: Bridge: 0000:00:07.0
  IO window: disabled.
  MEM window: disabled.
  PREFETCH window: disabled.

Sadly, on an ACER 5051AWXMi [my Laptop :-( ], these correspond to the PCI
Bridges for video.

00:00.0 Host bridge: ATI Technologies Inc RS480 Host Bridge (rev 10)
00:01.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:04.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:05.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:06.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge
00:07.0 PCI bridge: ATI Technologies Inc RS480 PCI Bridge

checking dmesg reveals:

ACPI: PCI Interrupt 0000:01:05.0[A] -> GSI 17 (level, low) -> IRQ 21
[fglrx] GART Table is not in FRAME_BUFFER range

glxgears will report a score around 1700fps but enabling compositing will
drag the system. I believe that the root cause of this issue also causes the
laptop to underperform when running 3D applications.

I do not know if this is relevant, but I cannot seem to get my display to
work in 32bit depth , though 24 seems just fine. Could this be the result of
the same issue?
"

Hello,

this bug has been solved for me in archlinux (quite vanilla) with kernel 2.6.25. My wireless card works now. I looked at the dmesg-messages and I have the impression that ACPI has been improved. I noticed that the kernel detected a bug in my ACPI-tables or so and corrected it. Not sure if it did this before ...

Thank you for the effort and kind regards,

Michel

speedyed (speedyed) wrote :

Hi everyone ,

Just had to make a comment,so many people having problems with ubuntu! Im having trouble understanding that,really...My experience has been different,my first linux was a redhat ver.2.6 or something,back when win98se was big,still my fav windows but thats a diff story,...Now im using Ubuntu 8.10 intrepid ibex,whatever that means,can you tell im new to linux? ive had no bugs really,installation took a little over an hour turning itself on and off several times,it needed me in the very begining and very end of installation,everything else was fully automated in a gui,no hanging,no errors,no problems,other than trouble burning dvds ona dvd-cd rw combo built-in my older toshiba laptop,1.5 ghz,only 512mb ram,...iit burns cd-r and cd-rw both + and - discs but wont even recognize a dvd blank disc,go figure,...but im truly amazed from my old redhat to this version of Ubuntu 8.10,...wow,im lovin it
you dont have to be a computer programmer,or a rocket sientist,was so simple,hell windows has way more issues,...in fact windows vista crashed on my new desktop,ok its 2 years old,new for me,hehe
      Now i want linux on that computer cuz my laptop is at least 3 times faster on ubuntu,it freed up my resources,my only issue was hooking up a mobile quadband usb modem at 7.2mbs,and the problem was on the install cd,finding the drivers that work with linux,there was none,but mac drivers were listed,i tried and when i rebooted it was working and connected before it finished booting! im really sorry you guys having problems,cant help wondering,most of you are running a newer computer than me,...could hardware drivers be too new for linux also i went for the newest ubuntu i could find,could some of you be running older versions,alot older,...then newer drivers may not work,...all i know is i got a piece of crap and its acting like a full blown super computer,i can do it all with 512 mb of ram,was barely enough for win xp,cant wait to do the desktop next, thanks for puttin up with me,i wish you all the best of luck with your issues,but im really quite surprised,...ed

Changed in linux:
status: Confirmed → Invalid
Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.